-- Function: flabarugifix2(date, date, date, date, character varying, character varying, character varying)

-- DROP FUNCTION flabarugifix2(date, date, date, date, character varying, character varying, character varying);

CREATE OR REPLACE FUNCTION flabarugifix2(_startdate date, _enddate date, _startdateold date, _enddateold date, _branchid character varying, _deptid character varying, _prjid character varying)
  RETURNS SETOF tlabarugi1 AS
$BODY$
DECLARE
	_retval		tLabaRugi1%ROWTYPE;
	_acctype1	VARCHAR;
	_acctypedesc1	VARCHAR;
	_accno		VARCHAR;
	_accname	VARCHAR;
	_acctype2desc	VARCHAR;
	_accbal		NUMERIC(19,4);
	_jum400		NUMERIC(19,4);
	_jum500		NUMERIC(19,4);
	_jum600		NUMERIC(19,4);
	_jum700		NUMERIC(19,4);
	_jum800		NUMERIC(19,4);
	_accbalOld	NUMERIC(19,4);
	_jum400Old	NUMERIC(19,4);
	_jum500Old	NUMERIC(19,4);
	_jum600Old	NUMERIC(19,4);
	_jum700Old	NUMERIC(19,4);
	_jum800Old	NUMERIC(19,4);
	_accdk		VARCHAR; 
	cAccType1	REFCURSOR;
	cAcc		REFCURSOR;
BEGIN
	OPEN cAccType1 FOR
		SELECT acctype,acctypedesc FROM acctype1 WHERE nr='R' ORDER BY acctype;
	LOOP
		FETCH cAccType1 INTO _acctype1,_acctypedesc1;
		EXIT WHEN NOT FOUND;

		IF(_acctype1='400') THEN
			SELECT INTO _jum400 (COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0))
			FROM jnld 
			JOIN jnl ON jnl.jnlno=jnld.jnlno 
			JOIN acc ON jnld.accno=acc.accno 
			LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
			WHERE acctype1.acctype='400' AND JnlDate>=_StartDate AND JnlDate<=_EndDate 
			AND jnltype!='CLSY' 
			AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);

			IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
				SELECT INTO _jum400Old 
				(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
				FROM jnld 
				JOIN jnl ON jnl.jnlno=jnld.jnlno 
				JOIN acc ON jnld.accno=acc.accno 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
				WHERE acctype1.acctype='400' 
				AND JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
				AND jnltype!='CLSY' 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);
			ELSE
				_jum400Old:=0;
			END IF;
		END IF;

		IF(_acctype1='500') THEN
			SELECT INTO _jum500 (COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0))
			FROM jnld 
			JOIN jnl ON jnl.jnlno=jnld.jnlno 
			JOIN acc ON jnld.accno=acc.accno 
			LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
		WHERE acctype1.acctype='500' AND JnlDate>=_StartDate AND JnlDate<=_EndDate 
		AND jnltype!='CLSY' 
		AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);

			IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
				SELECT INTO _jum500Old 
				(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
				FROM jnld 
				JOIN jnl ON jnl.jnlno=jnld.jnlno 
				JOIN acc ON jnld.accno=acc.accno 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
				WHERE acctype1.acctype='500' AND 
				JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
				AND jnltype!='CLSY' 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);
			ELSE
				_jum500Old:=0;
			END IF;
		END IF;

		IF(_acctype1='600') THEN
			SELECT INTO _jum600 (COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
			FROM jnld 
			JOIN jnl ON jnl.jnlno=jnld.jnlno 
			JOIN acc ON jnld.accno=acc.accno 
			LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
			WHERE acctype1.acctype='600' AND JnlDate>=_StartDate AND JnlDate<=_EndDate 
			AND jnltype!='CLSY' 
			AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);

			IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
				SELECT INTO _jum600Old 
				(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
				FROM jnld 
				JOIN jnl ON jnl.jnlno=jnld.jnlno 
				JOIN acc ON jnld.accno=acc.accno 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
				WHERE acctype1.acctype='600' AND 
				JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
				AND jnltype!='CLSY' 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);
			ELSE
				_jum600Old:=0;
			END IF;
		END IF;

		IF(_acctype1='700') THEN
			SELECT INTO _jum700 (COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
			FROM jnld 
			JOIN jnl ON jnl.jnlno=jnld.jnlno 
			JOIN acc ON jnld.accno=acc.accno 
			LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
			WHERE acctype1.acctype='700' AND JnlDate>=_StartDate AND JnlDate<=_EndDate 
			AND jnltype!='CLSY' 
			AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);

			IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
				SELECT INTO _jum700Old 
				(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
				FROM jnld 
				JOIN jnl ON jnl.jnlno=jnld.jnlno 
				LEFT JOIN acc ON jnld.accno=acc.accno 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
				WHERE acctype1.acctype='700' AND 
				JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
				AND jnltype!='CLSY' 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);
			ELSE
				_jum700Old:=0;
			END IF;
		END IF;

		IF(_acctype1='800') THEN
			SELECT INTO _jum800 (COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
			FROM jnld 
			JOIN jnl ON jnl.jnlno=jnld.jnlno 
			JOIN acc ON jnld.accno=acc.accno 
			LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
			WHERE acctype1.acctype='800' AND JnlDate>=_StartDate AND JnlDate<=_EndDate 
			AND jnltype!='CLSY' 
			AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);

			IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
				SELECT INTO _jum800Old 
				(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
				FROM jnld 
				JOIN jnl ON jnl.jnlno=jnld.jnlno 
				JOIN acc ON jnld.accno=acc.accno 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype
				WHERE acctype1.acctype='800' AND 
				JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
				AND jnltype!='CLSY' 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid);
			ELSE
				_jum800Old:=0;
			END IF;
		END IF;

		IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL)THEN
			OPEN cAcc FOR
				SELECT acc.accno,accname,acctype2desc,accdk
				FROM acc 
				LEFT JOIN jnld ON jnld.accno=acc.accno AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid)
				LEFT JOIN jnl ON jnl.jnlno=jnld.jnlno AND ((JnlDate>=_StartDate AND JnlDate<=_EndDate) or (JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld)) 
				AND (_branchid IS NULL OR jnl.branchid=_branchid) 
				AND jnltype!='CLSY' 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype 
				LEFT JOIN acctype2 ON acctype2.acctype2=acc.acctype2
				WHERE acctype1.acctype=_acctype1 AND acc.upaccno = '*'
				GROUP BY acctype2desc,acc.accno,accname,accdk
				ORDER BY acc.accno;
		ELSE
			OPEN cAcc FOR
				SELECT acc.accno,accname,acctype2desc,accdk
				FROM acc 
				LEFT JOIN jnld ON jnld.accno=acc.accno AND (_deptid IS NULL OR jnld.deptid=_deptid) AND (_prjid IS NULL OR jnld.prjid=_prjid)
				LEFT JOIN jnl ON jnl.jnlno=jnld.jnlno AND (JnlDate>=_StartDate AND JnlDate<=_EndDate) AND (_branchid IS NULL OR jnl.branchid=_branchid)
				AND jnltype!='CLSY' 
				LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype 
				LEFT JOIN acctype2 ON acctype2.acctype2=acc.acctype2
				WHERE acctype1.acctype=_acctype1 AND acc.upaccno = '*'
				GROUP BY acctype2desc,acc.accno,accname,accdk
				ORDER BY acc.accno;
		END IF;
			LOOP
				FETCH cAcc INTO _accno,_accname,_acctype2desc,_accdk;
				EXIT WHEN NOT FOUND;

				IF EXISTS (SELECT accno FROM acc WHERE upaccno = _accno)THEN
					SELECT INTO _AccBal 
					(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
					FROM jnld 
					JOIN jnl ON jnl.jnlno=jnld.jnlno 
					JOIN acc ON jnld.accno=acc.accno 
					LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype 
					LEFT JOIN acctype2 ON acctype2.acctype2=acc.acctype2
					WHERE acctype1.acctype=_acctype1 AND acc.upaccno=_accno
					AND JnlDate>=_StartDate AND JnlDate<=_EndDate
					AND jnltype!='CLSY' 
					AND (_branchid IS NULL OR jnl.branchid=_branchid) 
					AND (_deptid IS NULL OR jnld.deptid=_deptid) 
					AND (_prjid IS NULL OR jnld.prjid=_prjid)
					GROUP BY upaccno,acctype2desc;
				ELSE
					SELECT INTO _AccBal 
					(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
					FROM jnld 
					JOIN jnl ON jnl.jnlno=jnld.jnlno 
					JOIN acc ON jnld.accno=acc.accno 
					LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype 
					LEFT JOIN acctype2 ON acctype2.acctype2=acc.acctype2
					WHERE acctype1.acctype=_acctype1 AND acc.accno=_accno
					AND JnlDate>=_StartDate AND JnlDate<=_EndDate
					AND jnltype!='CLSY' 
					AND (_branchid IS NULL OR jnl.branchid=_branchid) 
					AND (_deptid IS NULL OR jnld.deptid=_deptid) 
					AND (_prjid IS NULL OR jnld.prjid=_prjid)
					GROUP BY upaccno,acctype2desc;
				END IF;

				IF(_StartDateOld IS NOT NULL AND _EndDateOld IS NOT NULL) THEN
					SELECT INTO _AccBalOld 
					(COALESCE(SUM(CASE WHEN dk=accdk THEN jnldamt ELSE -1*jnldamt END), 0)) 
					FROM jnld 
					JOIN jnl ON jnl.jnlno=jnld.jnlno 
					JOIN acc ON jnld.accno=acc.accno 
					LEFT JOIN acctype1 ON acctype1.acctype=acc.acctype 
					LEFT JOIN acctype2 ON acctype2.acctype2=acc.acctype2
					WHERE acctype1.acctype=_acctype1 AND acc.accno=_accno
					AND JnlDate>=_StartDateOld AND JnlDate<=_EndDateOld 
					AND jnltype!='CLSY' 
					AND (_branchid IS NULL OR jnl.branchid=_branchid) 
					AND (_deptid IS NULL OR jnld.deptid=_deptid) 
					AND (_prjid IS NULL OR jnld.prjid=_prjid)
					GROUP BY acctype2desc,acc.accno,accname;
				END IF;

				_retval.accno:=_accno;
				_retval.accname:=_accname;
				_retval.acctype2desc:=_acctype2desc;
				_retval.acctype1:=_acctype1;
				_retval.acctypedesc1:=_acctypedesc1;
				_retval.jum400:=COALESCE(_jum400,0);
				_retval.jum500:=COALESCE(_jum500,0);
				_retval.jum600:=COALESCE(_jum600,0);
				_retval.jum700:=COALESCE(_jum700,0);
				_retval.jum800:=COALESCE(_jum800,0);
				_retval.jum400Old:=COALESCE(_jum400Old,0);
				_retval.jum500Old:=COALESCE(_jum500Old,0);
				_retval.jum600Old:=COALESCE(_jum600Old,0);
				_retval.jum700Old:=COALESCE(_jum700Old,0);
				_retval.jum800Old:=COALESCE(_jum800Old,0);
				_retval.accbal:=COALESCE(_accbal,0);
				_retval.accbalold:=COALESCE(_accbalold,0);
				RETURN NEXT _retval;
			END LOOP;
			CLOSE cAcc; 
	END LOOP;
	CLOSE cAccType1;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION flabarugifix2(date, date, date, date, character varying, character varying, character varying)
  OWNER TO bits;

DELETE FROM RPAR WHERE RPTID='CONSD_RKP';
DELETE FROM RPAR WHERE RPTID='CONS_RKP';

DELETE FROM RVAR WHERE RPTID='CONSD_RKP';
DELETE FROM RVAR WHERE RPTID='CONS_RKP';

DELETE FROM RBAND WHERE RPTID='CONSD_RKP';	
DELETE FROM RBAND WHERE RPTID='CONS_RKP';

DELETE FROM RPT WHERE RPTID='CONS_RKP';
DELETE FROM RPT WHERE RPTID='CONSD_RKP';

INSERT INTO rpt(rptid,rptdesc,paperwidth,paperheight,pagecols,pagerows,marginleft,marginright,margintop,marginbottom,font,fontsize,ullastdet,detailmin,detailmax,sendff,nulldtltxt,nulldtlfill) VALUES('CONS_RKP','Surat-Jalan CONS PID',200,33,200,33,1,1,1,1,'DRAFT',12,TRUE,'10','18',TRUE,' ',TRUE);
INSERT INTO rpt(rptid,rptdesc) VALUES('CONSD_RKP','Surat-Jalan CONS PID (detail)');

INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','A','CONSNO','CONSNO','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','B','DUEDAYS','DUEDAYS','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','C','DELINO','DUEDATE','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','D','CONSDATE','CONSDATE','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','E','CRTBY','CRTBY','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','F','TOTAL','TOTAL','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','G1','SHIPTO','SHIPTO[1]','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','G2','SHIPTO','SHIPTO[2]','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','G3','SHIPTO','SHIPTO[3]','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','G4','SHIPTO','SHIPTO[4]','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','H','DISCAMT','DISCAMT','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','J','SUBTOTAL','SUBTOTAL','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','I','CONSNOTE','CONSNOTE','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','M','CMPNAME','CMPNAME','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','M1','CMPADDR','CMPADDR','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','M2','CMPPHONE','CMPPHONE','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','O','OTHERS','OTHERS','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONS_RKP','T','TAXAMT','TAXAMT','R');

INSERT INTO rpar(rptid,rparid,rparfunc,rparreset,rparexp,rparalign,rpardesc) VALUES ('CONS_RKP', 'J1', '4', '1', 'M{J+T}', 'R', 'Harga+Pajak');

INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','A','ITEMID','ITEMID','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','B','QTY','QTY','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','C','UNIT','UNIT','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','D','LISTPRICE','LISTPRICE','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','E','DISCEXP','DISCEXP','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','F','SUBTOTAL','SUBTOTAL','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','G','ITEMDESC','ITEMDESC','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','I','PID','PID','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','J','QTYX','QTYX','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','K','TAXID','TAXID','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','N','NOTE','NOTE','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','NR','NOTEROW','NOTEROW','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','W','WHID','WHID','L');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','F1','SUBTOTAL','SUBTOTAL','R');
INSERT INTO rvar(rptid,rvarid,rvardesc,rvarfield,rvaralign) VALUES('CONSD_RKP','T','TAXAMT','TAXAMT','R');

INSERT INTO rband VALUES('CONS_RKP','1','PAGEHEADER','                                              $12$0EINVOICE$14');
INSERT INTO rband VALUES('CONS_RKP','2','PAGEHEADER','$12$0E&M..............................$14');
INSERT INTO rband VALUES('CONS_RKP','3','PAGEHEADER','&M1........................................  Kepada Yth. :');
INSERT INTO rband VALUES('CONS_RKP','5','PAGEHEADER','Telp : &M2.................................. &G1..............................');
INSERT INTO rband VALUES('CONS_RKP','7','PAGEHEADER','NOTA     : &A............                   &G2..............................');
INSERT INTO rband VALUES('CONS_RKP','9','PAGEHEADER','TANGGAL  : &D............                   &G3...........&G4..............');
INSERT INTO rband VALUES('CONS_RKP','10','PAGEHEADER','$1B-1                                                     sales : &E...........     $1B-0');
Insert INTO rband VALUES('CONS_RKP','13','PAGEHEADER','$1B-1KODE        NAMA BARANG              BANYAKNYA      HARGA    DISC%   SUBTOTAL$1B-0');
INSERT INTO rband VALUES('CONS_RKP','15','DETAIL','');
INSERT INTO rband VALUES('CONS_RKP','17','SUBREPORT','0');
INSERT INTO rband VALUES('CONS_RKP','19','DETAIL','');
INSERT INTO rband VALUES('CONS_RKP','21','SUMMARY','$0FKETERANGAN:&I...............................................................................$12  SubTotal:Rp&J............');
INSERT INTO rband VALUES('CONS_RKP','22','SUMMARY','Perhatian:                                                Disc:Rp&H............');
INSERT INTO rband VALUES('CONS_RKP','23','SUMMARY','                                                     Lain-lain:Rp&O............');
INSERT INTO rband VALUES('CONS_RKP','24','SUMMARY','                                                           PPN:Rp&T............');
INSERT INTO rband VALUES('CONS_RKP','25','SUMMARY','$0F1. Barang yang sudah dibeli tidak dapat dikembalikan/ditukar$12                      TOTAL:RP&F............');
INSERT INTO rband VALUES('CONS_RKP','26','SUMMARY','$0F2. Pembayaran dengan Cek/BG dianggap lunas setelah dicairkan$12');
INSERT INTO rband VALUES('CONSD_RKP','1','DETAIL','&A..........  &G.........................  &B...&C.....&D..........   &E.....  &F..........');
INSERT INTO rband VALUES('CONSD_RKP','2','DETAILM','&N..........................................................................');
